
import request from '@/utils/request'



/**
 * Picker获取行程
 * @param {*} 
 * @returns 
 */

export const getTravelMine = (params) => request(`/travel/mine`, { params })



/**
 * 新建保存行程
 * @param {*} 
 * @returns 
 */

export const newTravelMine = (data) => request(`/travel`, { method: 'post', data })



/**
 * 保存行程地点
 * @param {*} 
 * @returns 
 */

export const saveTravel = (id, data) => request(`/travel/${id}/travel-item`, { method: 'post', data })